var NAVTREE =
[
  [ "Crazy Eddie's GUI System", "index.html", [
    [ "Crazy Eddie's GUI System Mk-2: Developer Documentation", "index.html", [
      [ "Documentation Sections", "index.html#main_sec_1", null ]
    ] ],
    [ "Overview of system components", "arch_overview.html", [
      [ "Introduction", "arch_overview.html#arch_overview_intro", null ],
      [ "Low Level Interface Objects", "arch_overview.html#arch_overview_lowlevel", null ],
      [ "System and Manager Objects", "arch_overview.html#arch_overview_sys_and_mgrs", null ],
      [ "Falagard Mappings", "arch_overview.html#arch_overview_falmaps", null ]
    ] ],
    [ "List of authors and contributors", "authors.html", [
      [ "Current CEGUI Team Members", "authors.html#authors_sec_1", null ],
      [ "Retired or Semi-retired CEGUI Team Members", "authors.html#authors_sec_2", null ],
      [ "Main Contributors", "authors.html#authors_sec_4", null ],
      [ "Other Contributors", "authors.html#authors_sec_5", null ],
      [ "Special Thanks", "authors.html#authors_sec_6", null ],
      [ "Have We Missed You?", "authors.html#authors_sec_7", null ]
    ] ],
    [ "Build Options for Crazy Eddie's GUI System", "build_options.html", [
      [ "Overview", "build_options.html#build_options_overview", null ],
      [ "General Options", "build_options.html#build_options_general", [
        [ "CEGUI_HAS_FREETYPE", "build_options.html#build_options_has_freetype", null ],
        [ "CEGUI_HAS_PCRE_REGEX", "build_options.html#build_options_has_pcre", null ],
        [ "CEGUI_HAS_MINIZIP_RESOURCE_PROVIDER", "build_options.html#build_options_has_minizip", null ],
        [ "CEGUI_HAS_DEFAULT_LOGGER", "build_options.html#build_options_has_logger", null ],
        [ "CEGUI_USE_FRIBIDI", "build_options.html#build_options_use_fribidi", null ],
        [ "CEGUI_USE_MINIBIDI", "build_options.html#build_options_use_minibidi", null ],
        [ "CEGUI_USE_GLEW", "build_options.html#build_options_use_glew", null ],
        [ "CEGUI_USE_EPOXY", "build_options.html#build_options_use_epoxy", null ],
        [ "CEGUI_GLFW_VER", "build_options.html#build_options_glfw_ver", null ],
        [ "CEGUI_STRING_CLASS", "build_options.html#build_options_string_class", null ],
        [ "CEGUI_CUSTOM_ALLOCATORS", "build_options.html#build_options_custom_allocators", null ],
        [ "CEGUI_CUSTOM_ALLOCATORS_DEBUG", "build_options.html#build_options_allocators_debug", null ],
        [ "CEGUI_CUSTOM_ALLOCATORS_INCLUDE", "build_options.html#build_options_allocators_header", null ],
        [ "CEGUI_BUILD_STATIC_CONFIGURATION", "build_options.html#build_options_enable_static", null ],
        [ "CEGUI_BUILD_STATIC_FACTORY_MODULE", "build_options.html#build_options_enable_static_factory", null ],
        [ "CEGUI_BUILD_SHARED_LIBS_WITH_STATIC_DEPENDENCIES", "build_options.html#build_options_static_deps", null ],
        [ "CEGUI_BUILD_SUFFIX", "build_options.html#build_options_build_suffix", null ],
        [ "CEGUI_BUILD_TESTS", "build_options.html#build_options_build_tests", null ]
      ] ],
      [ "Renderer Modules", "build_options.html#build_options_renderers", [
        [ "CEGUI_BUILD_RENDERER_OPENGL", "build_options.html#build_options_gl_renderer", null ],
        [ "CEGUI_BUILD_RENDERER_OPENGL3", "build_options.html#build_options_gl3_renderer", null ],
        [ "CEGUI_BUILD_RENDERER_OGRE", "build_options.html#build_options_ogre_renderer", null ],
        [ "CEGUI_BUILD_RENDERER_IRRLICHT", "build_options.html#build_options_irr_renderer", null ],
        [ "CEGUI_BUILD_RENDERER_DIRECTFB", "build_options.html#build_options_dfb_renderer", null ],
        [ "CEGUI_BUILD_RENDERER_DIRECT3D9", "build_options.html#build_options_d3d9_renderer", null ],
        [ "CEGUI_BUILD_RENDERER_DIRECT3D10", "build_options.html#build_options_d3d10_renderer", null ],
        [ "CEGUI_BUILD_RENDERER_DIRECT3D11", "build_options.html#build_options_d3d11_renderer", null ],
        [ "CEGUI_BUILD_RENDERER_NULL", "build_options.html#build_options_null_renderer", null ],
        [ "CEGUI_BUILD_RENDERER_OPENGLES", "build_options.html#build_options_gles1_1_renderer", null ]
      ] ],
      [ "XMLParser Modules", "build_options.html#build_options_xml_parsers", [
        [ "CEGUI_BUILD_XMLPARSER_EXPAT", "build_options.html#build_options_expat_parser", null ],
        [ "CEGUI_BUILD_XMLPARSER_XERCES", "build_options.html#build_options_xerces_parser", null ],
        [ "CEGUI_BUILD_XMLPARSER_LIBXML2", "build_options.html#build_options_libxml_parser", null ],
        [ "CEGUI_BUILD_XMLPARSER_RAPIDXML", "build_options.html#build_options_rapidxml_parser", null ],
        [ "CEGUI_BUILD_XMLPARSER_TINYXML", "build_options.html#build_options_tinyxml_parser", null ],
        [ "CEGUI_OPTION_DEFAULT_XMLPARSER", "build_options.html#build_options_default_parser", null ],
        [ "CEGUI_STATIC_XMLPARSER_MODULE", "build_options.html#build_options_static_parser_lib", null ]
      ] ],
      [ "ImageCodec Modules", "build_options.html#build_options_image_codecs", [
        [ "CEGUI_BUILD_IMAGECODEC_SILLY", "build_options.html#build_options_silly_codec", null ],
        [ "CEGUI_BUILD_IMAGECODEC_DEVIL", "build_options.html#build_options_devil_codec", null ],
        [ "CEGUI_BUILD_IMAGECODEC_FREEIMAGE", "build_options.html#build_options_freeimage_codec", null ],
        [ "CEGUI_BUILD_IMAGECODEC_CORONA", "build_options.html#build_options_corona_codec", null ],
        [ "CEGUI_BUILD_IMAGECODEC_STB", "build_options.html#build_options_stb_codec", null ],
        [ "CEGUI_BUILD_IMAGECODEC_TGA", "build_options.html#build_options_tga_codec", null ],
        [ "CEGUI_BUILD_IMAGECODEC_PVR", "build_options.html#build_options_pvr_codec", null ],
        [ "CEGUI_OPTION_DEFAULT_IMAGECODEC", "build_options.html#build_options_default_codec", null ],
        [ "CEGUI_STATIC_IMAGECODEC_MODULE", "build_options.html#build_options_staic_codec_lib", null ]
      ] ],
      [ "Script Modules", "build_options.html#build_options_scripting", [
        [ "CEGUI_BUILD_LUA_MODULE", "build_options.html#build_options_lua_module", null ],
        [ "CEGUI_BUILD_LUA_GENERATOR", "build_options.html#build_options_lua_generator", null ],
        [ "CEGUI_OPTION_SAFE_LUA_MODULE", "build_options.html#build_options_lua_safe_mode", null ],
        [ "CEGUI_BUILD_PYTHON_MODULES", "build_options.html#build_options_python_modules", null ]
      ] ],
      [ "Sample Framework and Samples", "build_options.html#build_options_samples", [
        [ "CEGUI_SAMPLES_ENABLED", "build_options.html#build_options_samples_enabled", null ],
        [ "CEGUI_SAMPLES_USE_GTK2", "build_options.html#build_options_samples_use_gtk2", null ]
      ] ],
      [ "GNU/Linux Specific", "build_options.html#build_options_unix", [
        [ "CEGUI_INSTALL_WITH_RPATH", "build_options.html#build_options_install_rpath", null ]
      ] ],
      [ "Apple Specific", "build_options.html#build_options_apple", [
        [ "CEGUI_APPLE_DYLIB_INSTALL_PATH", "build_options.html#build_options_dylib_install_path", null ],
        [ "CEGUI_APPLE_SYMLINK_DEPENDENCIES_TO_SAMPLE_APPS", "build_options.html#build_options_symlink_apple_deps", null ],
        [ "CEGUI_APPLE_DYLIB_SET_VERSION_INFO", "build_options.html#build_options_set_dylib_version", null ]
      ] ],
      [ "Microsoft MSVC++ Specific", "build_options.html#build_options_msvc", [
        [ "CEGUI_MSVC_STATIC_RUNTIME", "build_options.html#build_options_msvc_static_runtime", null ]
      ] ]
    ] ],
    [ "Obtaining and Building the Dependencies (Windows and OS X)", "building_deps.html", [
      [ "Introduction", "building_deps.html#building_deps_intro", null ],
      [ "Obtaining the Dependency Package", "building_deps.html#building_deps_download", [
        [ "Downloading an Archive", "building_deps.html#building_deps_download_archive", null ],
        [ "Cloning from Mercurial", "building_deps.html#building_deps_download_clone", null ]
      ] ],
      [ "Compiling the Dependencies Package", "building_deps.html#building_deps_compilation", [
        [ "Configuring the build", "building_deps.html#building_deps_compilation_configuring", null ],
        [ "Compiling the files", "building_deps.html#building_deps_compilation_build", null ],
        [ "Installation", "building_deps.html#compiling_build_install", null ]
      ] ]
    ] ],
    [ "Change Log", "change_log.html", null ],
    [ "Coding Standards in use for CEGUI", "code_standards.html", [
      [ "Files", "code_standards.html#code_standards_sec_1", [
        [ "Naming and Directory Layout", "code_standards.html#code_standards_sec_1_1", null ],
        [ "General Structure and Layout", "code_standards.html#code_standards_sec_1_2", null ]
      ] ],
      [ "Code Style and Layout", "code_standards.html#code_standards_sec_2", [
        [ "Naming Conventions for Types, Variables, Members and Constants", "code_standards.html#code_standards_sec_2_1", null ],
        [ "Code Formatting Style and Other Tips", "code_standards.html#code_standards_sec_2_2", null ],
        [ "astyle - Artistic Style", "code_standards.html#code_standards_sec_2_3", null ]
      ] ]
    ] ],
    [ "Supported Systems and Compilation.", "compiling.html", [
      [ "Supported Systems", "compiling.html#compiling_supportedsystems", null ],
      [ "Dependencies", "compiling.html#compiling_dependencies", null ],
      [ "Building the Source", "compiling.html#compiling_build", [
        [ "Decide which options and dependencies you want", "compiling.html#compiling_build_decide", null ],
        [ "Configuring the build", "compiling.html#compiling_build_configuring", null ],
        [ "Compiling the files", "compiling.html#compiling_build_build", null ]
      ] ]
    ] ],
    [ "Dependency Libraries for Crazy Eddie's GUI System", "dependencies.html", [
      [ "Overview", "dependencies.html#dependencies_overview", [
        [ "Core Functionality", "dependencies.html#dependencies_core", null ],
        [ "Rendering", "dependencies.html#dependencies_rendering", null ],
        [ "XML Parsers", "dependencies.html#dependencies_parsers", null ],
        [ "Image Loading", "dependencies.html#dependencies_codecs", null ],
        [ "Scripting", "dependencies.html#dependencies_scripting", null ],
        [ "Samples Framework", "dependencies.html#dependencies_samples", null ],
        [ "Other", "dependencies.html#dependencies_other", null ]
      ] ]
    ] ],
    [ "Contributing to the development of CEGUI.", "devel.html", null ],
    [ "Obtaining the code", "downloading.html", [
      [ "Stable Release Source Packages", "downloading.html#dl_src_releases", null ],
      [ "Dependency Package for Microsoft Windows and Apple OS X", "downloading.html#dl_deps", null ],
      [ "Mercurial Source Code Repository", "downloading.html#dl_hg", null ]
    ] ],
    [ "Falagard skinning system for CEGUI", "fal_man.html", "fal_man" ],
    [ "CEGUI License (and other licensing considerations)", "licensing.html", "licensing" ],
    [ "Porting from CEGUI 0.6.x to CEGUI 0.7.x", "porting6to7.html", null ],
    [ "Porting from CEGUI 0.7.x to CEGUI 0.8.x", "porting7to8.html", null ],
    [ "stringencoders library License", "stringencoders_lic.html", null ],
    [ "tolua++ Customised Generator Manual", "toluapp_readme.html", null ],
    [ "1 - The Beginners Guide to Initialising CEGUI", "rendering_tutorial.html", [
      [ "Introduction", "rendering_tutorial.html#rendering_tutorial_intro", null ],
      [ "The Easy Way: Renderer 'bootstrapSystem' functions", "rendering_tutorial.html#rendering_tutorial_bootstrap", [
        [ "Old desktop OpenGL 1.2 (Fixed Function)", "rendering_tutorial.html#rendering_tutorial_bootstrap_opengl", null ],
        [ "Desktop OpenGL 3.2 or OpenGL ES 2.0", "rendering_tutorial.html#rendering_tutorial_bootstrap_opengl3", null ],
        [ "Direct3D", "rendering_tutorial.html#rendering_tutorial_bootstrap_d3d", null ],
        [ "Ogre3D", "rendering_tutorial.html#rendering_tutorial_bootstrap_ogre", null ],
        [ "Irrlicht", "rendering_tutorial.html#rendering_tutorial_bootstrap_irrlicht", null ]
      ] ],
      [ "The Hard Way: Manual object creation.", "rendering_tutorial.html#rendering_tutorial_nonbootstrap", [
        [ "Create an instance of a CEGUI::Renderer based object", "rendering_tutorial.html#rendering_tutorial_renderer", [
          [ "Direct3D 9", "rendering_tutorial.html#rendering_tutorial_renderer_d3d9", null ],
          [ "Direct3D 10", "rendering_tutorial.html#rendering_tutorial_renderer_d3d10", null ],
          [ "old Desktop OpenGL 1.2 (Fixed Function)", "rendering_tutorial.html#rendering_tutorial_renderer_ogl", null ],
          [ "Desktop OpenGL 3.2 or OpenGL ES 2.0", "rendering_tutorial.html#rendering_tutorial_renderer_ogl3", null ],
          [ "Ogre3D", "rendering_tutorial.html#rendering_tutorial_renderer_ogre", null ],
          [ "Irrlicht Engine", "rendering_tutorial.html#rendering_tutorial_renderer_irrlicht", null ]
        ] ],
        [ "Create the CEGUI::System object to initialise the system", "rendering_tutorial.html#rendering_tutorial_system", null ]
      ] ],
      [ "Deinitialisation", "rendering_tutorial.html#Deinitialisation", null ],
      [ "Call the function to render the GUI", "rendering_tutorial.html#rendering_tutorial_draw", [
        [ "Direct3D 9", "rendering_tutorial.html#rendering_tutorial_draw_d3d9", null ],
        [ "Direct3D 10", "rendering_tutorial.html#rendering_tutorial_draw_d3d10", null ],
        [ "OpenGL (desktop or ES)", "rendering_tutorial.html#rendering_tutorial_draw_ogl", null ],
        [ "Irrlicht", "rendering_tutorial.html#rendering_tutorial_draw_irrlicht", null ]
      ] ],
      [ "Conclusion", "rendering_tutorial.html#rendering_tutorial_conclusion", null ]
    ] ],
    [ "2 - The Beginners Guide to resource loading with ResourceProviders", "resprov_tutorial.html", [
      [ "What is a ResourceProvider?", "resprov_tutorial.html#resprov_tutorial_intro", null ],
      [ "DefaultResourceProvider Explained", "resprov_tutorial.html#resprov_tutorial_default_rp", [
        [ "Specifying Resource Groups and Directories", "resprov_tutorial.html#resprov_tutorial_default_rp_groups", null ]
      ] ],
      [ "Specifying Default Resource Groups", "resprov_tutorial.html#resprov_tutorial_default_resource_groups", [
        [ "ImageManager Default Resource Group", "resprov_tutorial.html#resprov_tutorial_default_resource_groups_im", null ],
        [ "XercesParser Default Resource Group", "resprov_tutorial.html#resprov_tutorial_default_resource_groups_xc", null ]
      ] ],
      [ "A final, Complete Example", "resprov_tutorial.html#resprov_tutorial_example", null ],
      [ "Conclusion", "resprov_tutorial.html#resprov_tutorial_conclusion", null ]
    ] ],
    [ "3 - The Beginners Guide to Data Files and Defaults Initialisation", "datafile_tutorial.html", [
      [ "Introduction", "datafile_tutorial.html#datafile_tutorial_intro", null ],
      [ "Font, Imageset, LookNFeel, Scheme, XSD?  It's all XML!", "datafile_tutorial.html#datafile_tutorial_allxml", [
        [ "Schema Validation with Xerces-C++", "datafile_tutorial.html#datafile_tutorial_validation", null ]
      ] ],
      [ "The Data Files", "datafile_tutorial.html#datafile_tutorial_files", [
        [ "Imageset", "datafile_tutorial.html#datafile_tutorial_imageset", null ],
        [ "Font", "datafile_tutorial.html#datafile_tutorial_font", null ],
        [ "LookNFeel", "datafile_tutorial.html#datafile_tutorial_looknfeel", null ],
        [ "Scheme", "datafile_tutorial.html#datafile_tutorial_scheme", null ],
        [ "Layout", "datafile_tutorial.html#datafile_tutorial_layout", null ],
        [ "Config", "datafile_tutorial.html#datafile_tutorial_config", null ]
      ] ],
      [ "Loading the Basic Files", "datafile_tutorial.html#datafile_tutorial_load_basics", null ],
      [ "System Defaults Initialisation", "datafile_tutorial.html#datafile_tutorial_setup_defaults", null ],
      [ "Conclusion", "datafile_tutorial.html#datafile_tutorial_conclusion", null ]
    ] ],
    [ "4 - The Beginners Guide to Creating a CEGUI Window", "window_tutorial.html", [
      [ "Introduction to window and widget concepts", "window_tutorial.html#window_tutorial_intro", [
        [ "Every widget is a window", "window_tutorial.html#window_tutorial_window_base", null ],
        [ "Many settings are inherited", "window_tutorial.html#window_tutorial_window_inheritance", null ]
      ] ],
      [ "Creating the windows", "window_tutorial.html#window_tutorial_creating_intro", [
        [ "GUI Creation via C++ code", "window_tutorial.html#window_tutorial_creating_cpp", null ],
        [ "XML layouts", "window_tutorial.html#window_tutorial_creating_xml", null ]
      ] ],
      [ "Conclusion", "window_tutorial.html#window_tutorial_conclusion", null ]
    ] ],
    [ "5 - The Beginners Guide to Injecting Inputs", "input_tutorial.html", [
      [ "Introduction to input for CEGUI", "input_tutorial.html#input_tutorial_intro", [
        [ "First the bad news", "input_tutorial.html#input_tutorial_intro_badnews", null ],
        [ "Get your inputs injected", "input_tutorial.html#input_tutorial_intro_injectors", null ]
      ] ],
      [ "A little more detail: What each injector is used for", "input_tutorial.html#input_tutorial_detail", [
        [ "bool InjectedInputReceiver::injectMouseMove( float delta_x, float delta_y )", "input_tutorial.html#input_tutorial_mousemove", null ],
        [ "bool InjectedInputReceiver::injectMousePosition( float x_pos, float y_pos )", "input_tutorial.html#input_tutorial_mousepos", null ],
        [ "bool InjectedInputReceiver::injectMouseLeaves( void )", "input_tutorial.html#input_tutorial_mouseleaves", null ],
        [ "bool InjectedInputReceiver::injectMouseButtonDown( MouseButton button )", "input_tutorial.html#input_tutorial_mbdown", null ],
        [ "bool InjectedInputReceiver::injectMouseButtonUp( MouseButton button )", "input_tutorial.html#input_tutorial_mbup", null ],
        [ "bool InjectedInputReceiver::injectKeyDown( Key::Scan scan_code )", "input_tutorial.html#input_tutorial_keydown", null ],
        [ "bool InjectedInputReceiver::injectKeyUp( Key::Scan scan_code )", "input_tutorial.html#input_tutorial_keyup", null ],
        [ "bool InjectedInputReceiver::injectChar( utf32 code_point )", "input_tutorial.html#input_tutorial_char", null ],
        [ "bool InjectedInputReceiver::injectMouseWheelChange( float delta )", "input_tutorial.html#input_tutorial_mwheel", null ],
        [ "bool InjectedInputReceiver::injectTimePulse( float timeElapsed )", "input_tutorial.html#input_tutorial_pulse", null ],
        [ "bool InjectedInputReceiver::injectMouseButtonClick( MouseButton button )", "input_tutorial.html#input_tutorial_click", null ],
        [ "bool InjectedInputReceiver::injectMouseButtonDoubleClick( MouseButton button )", "input_tutorial.html#input_tutorial_doubleclick", null ],
        [ "bool InjectedInputReceiver::injectMouseButtonTripleClick( MouseButton button )", "input_tutorial.html#input_tutorial_tripleclick", null ]
      ] ],
      [ "Conclusion", "input_tutorial.html#input_tutorial_conclusion", null ]
    ] ],
    [ "Animation XML files.", "xml_animation.html", [
      [ "Animation XML Element List:", "xml_animation.html#xml_animation_contents", null ],
      [ "Overview", "xml_animation.html#xml_animation_overview", null ],
      [ "<Affector> Element", "xml_animation.html#xml_animation_affector", null ],
      [ "<AnimationDefinition> Element", "xml_animation.html#xml_animation_animationdefinition", null ],
      [ "<Animations> Element", "xml_animation.html#xml_animation_animations", null ],
      [ "<KeyFrame> Element", "xml_animation.html#xml_animation_keyframe", null ],
      [ "<Subscription> Element", "xml_animation.html#xml_animation_subscription", null ]
    ] ],
    [ "CEGUI Configuration XML files.", "xml_config.html", [
      [ "Config Element List:", "xml_config.html#xml_config_contents", null ],
      [ "Overview", "xml_config.html#xml_config_overview", null ],
      [ "<CEGUIConfig>", "xml_config.html#xml_config_ceguiconfig", null ],
      [ "<Logging>", "xml_config.html#xml_config_logging", null ],
      [ "<AutoLoad>", "xml_config.html#xml_config_autoload", null ],
      [ "<ResourceDirectory>", "xml_config.html#xml_config_resourcedirectory", null ],
      [ "<DefaultResourceGroup>", "xml_config.html#xml_config_defaultresourcegroup", null ],
      [ "<Scripting>", "xml_config.html#xml_config_scripting", null ],
      [ "<DefaultXMLParser>", "xml_config.html#xml_config_xmlparser", null ],
      [ "<DefaultImageCodec>", "xml_config.html#xml_config_imagecodec", null ],
      [ "<DefaultFont>", "xml_config.html#xml_config_font", null ],
      [ "<DefaultMouseCursor>", "xml_config.html#xml_config_mousecursor", null ],
      [ "<DefaultTooltip>", "xml_config.html#xml_config_tooltip", null ],
      [ "<DefaultGUISheet>", "xml_config.html#xml_config_guisheet", null ]
    ] ],
    [ "Font XML files.", "xml_font.html", [
      [ "Overview", "xml_font.html#xml_font_overview", null ],
      [ "<Font> Element", "xml_font.html#xml_font_font", null ],
      [ "<Mapping> Element", "xml_font.html#xml_font_mapping", null ]
    ] ],
    [ "Imageset XML files.", "xml_imageset.html", [
      [ "Overview", "xml_imageset.html#xml_imageset_overview", null ],
      [ "<Imageset> Element", "xml_imageset.html#xml_imageset_imageset", null ],
      [ "<Image> Element", "xml_imageset.html#xml_imageset_image", null ]
    ] ],
    [ "Layout XML files.", "xml_layout.html", [
      [ "Layout Element List:", "xml_layout.html#xml_layout_contents", null ],
      [ "Overview", "xml_layout.html#xml_layout_overview", null ],
      [ "<GUILayout> Element", "xml_layout.html#xml_layout_guilayout", null ],
      [ "<Window> Element", "xml_layout.html#xml_layout_window", null ],
      [ "<Property> Element", "xml_layout.html#xml_layout_property", null ],
      [ "<Event> Element", "xml_layout.html#xml_layout_event", null ],
      [ "<LayoutImport> Element", "xml_layout.html#xml_layout_layoutimport", null ],
      [ "<AutoWindow> Element", "xml_layout.html#xml_layout_autowindow", null ]
    ] ],
    [ "Scheme XML files.", "xml_scheme.html", [
      [ "Scheme Element List:", "xml_scheme.html#xml_scheme_contents", null ],
      [ "Overview", "xml_scheme.html#xml_scheme_overview", null ],
      [ "<GUIScheme> Element", "xml_scheme.html#xml_scheme_guischeme", null ],
      [ "<FalagardMapping> Element", "xml_scheme.html#xml_scheme_falagardmapping", null ],
      [ "<Font> Element", "xml_scheme.html#xml_scheme_font", null ],
      [ "<Imageset> Element", "xml_scheme.html#xml_scheme_imageset", null ],
      [ "<ImagesetFromImage> Element", "xml_scheme.html#xml_scheme_imagesetfromimage", null ],
      [ "<LookNFeel> Element", "xml_scheme.html#xml_scheme_looknfeel", null ],
      [ "<WindowAlias> Element", "xml_scheme.html#xml_scheme_windowalias", null ],
      [ "<WindowFactory> Element", "xml_scheme.html#xml_scheme_windowfactory", null ],
      [ "<WindowRendererFactory> Element", "xml_scheme.html#xml_scheme_windowrendererfactory", null ],
      [ "<WindowRendererSet> Element", "xml_scheme.html#xml_scheme_windowrendererset", null ],
      [ "<WindowSet> Element", "xml_scheme.html#xml_scheme_windowset", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Namespaces", null, [
      [ "Namespace List", "namespaces.html", "namespaces" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", null ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", null ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", null, [
      [ "File List", "files.html", "files" ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
".html",
"PropertyLinkDefinitionColourRect_8pypp_8hpp_source.html",
"build_options.html#build_options_unix",
"cegui_2include_2CEGUI_2WindowRendererSets_2Core_2ItemListbox_8h_source.html",
"classCEGUI_1_1Animation.html#a555d95af529eeaf41ee643ace11e4ab8a0486e5936627042721546278171380a8",
"classCEGUI_1_1Animation__xmlHandler.html#a13c22ee0202c22d20768ea81c83e75ed",
"classCEGUI_1_1ChainedXMLHandler.html#a1db9917cc63105880b59b9a4f7a66073",
"classCEGUI_1_1ColourPickerControls.html#a3e1a35a0bbb0abef9e32bd4d72d90704",
"classCEGUI_1_1ColourRect.html#a526f74923f362047ff352046d26a8214",
"classCEGUI_1_1Combobox.html#af14c5477eaaa92e961c5a0b5d54baa9f",
"classCEGUI_1_1DefaultLogger.html#a1e17bc03469879f17db977e9fd930f9d",
"classCEGUI_1_1Direct3D10TextureTarget.html#a28616511a21cbd0073c80f4bb5de61b1",
"classCEGUI_1_1Direct3D9RenderTarget.html#ad07322cb2ef633d670f2cca434b8df58",
"classCEGUI_1_1DragContainer.html#a3455d2772ec2c8aed0457235654724ab",
"classCEGUI_1_1EditboxWindowRenderer.html#a5526ca88fef26e364db0e2c538c3fbe4",
"classCEGUI_1_1EventAction.html#a8b472fe16d89a3c65b4575e47145bcf5",
"classCEGUI_1_1FalagardEditbox.html#a291f2a9d167b003e73fe86eebec95e0b",
"classCEGUI_1_1FalagardScrollbar.html#a604b289cdd76a14ab2df3d5fcd6eb474",
"classCEGUI_1_1FalagardXMLHelper_3_01DimensionType_01_4.html#a8cdc067c14d6ee1efeb94838bd4a982c",
"classCEGUI_1_1Font.html#a14ba50d11ef68267358318bd5ec79cad",
"classCEGUI_1_1FormattingSetting.html#a9d709ca6159130e899060693c0d088ca",
"classCEGUI_1_1FrameWindow.html#af99ffe476ec34d4799ab104ba1ad034ca8bca5cee07bbc19a18e7277b91f33061",
"classCEGUI_1_1GUIContext.html#ac86e690f6ea842135783d04e637c5f57",
"classCEGUI_1_1HSV__Colour.html#ae6d90655650b70e6b97e05c729e2cb4a",
"classCEGUI_1_1ImagerySection.html#a255d03dd9760057899b1bede9956f7f4",
"classCEGUI_1_1IrrlichtImageCodec.html#a5b15ce1fbb53bf042be445cf519b8cd2",
"classCEGUI_1_1IrrlichtWindowTarget.html#a23804dbf932139d512242339ff8ae8c4",
"classCEGUI_1_1KeyFrame.html#a7c1ea03923874c64a5cc1ecedb30b7f6",
"classCEGUI_1_1ListHeader.html#a5455421077c6b8f0cef7947eac080b0d",
"classCEGUI_1_1Listbox.html#a2d3f7c33140f8dbbaa8b6f4f4e80cd28",
"classCEGUI_1_1Logger.html#a90c67322f8deca350d99a46c16a5d1ce",
"classCEGUI_1_1MinizipResourceProvider.html#a484ea2129c877a5a7405ad2281984e80",
"classCEGUI_1_1MultiColumnList.html#a74ce8f4437b08099fbc4d97403b553ca",
"classCEGUI_1_1MultiLineEditbox.html#a71c02dd58be4fc17a38596b03a8fcb3d",
"classCEGUI_1_1NullGeometryBuffer.html#a0563addcc2ae3c2c01c79394c7e73be0",
"classCEGUI_1_1OgreGeometryBuffer.html#a1e782089fe9a1a20211d473790649346",
"classCEGUI_1_1OgreTexture.html#a4d30c2f888a4a87cac97a1d3368857ed",
"classCEGUI_1_1OpenGLApplePBTextureTarget.html#ac193b4aba620fc67e0ba14ab52796f02",
"classCEGUI_1_1OpenGLGeometryBufferBase.html#a35bc72f1783d5657cccbca44905960d0",
"classCEGUI_1_1OpenGLRendererBase.html#ab19bdd7ea9356ccf7ed99acea3cb5ace",
"classCEGUI_1_1PixmapFont.html#a1fe12778e09bd42469f363fd1b19126f",
"classCEGUI_1_1PropertyHelper_3_01AutoScaledMode_01_4.html#a067f2edb2e67931d9187b4617f8e43f6",
"classCEGUI_1_1PropertyHelper_3_01Spinner_1_1TextInputMode_01_4.html#adb56a6199ab8bbf74065421cdbb8ceba",
"classCEGUI_1_1PropertyHelper_3_01double_01_4.html#a1674abfa0381af183d0928b20601d0f3",
"classCEGUI_1_1PushButton.html#a7f7d507f7f30bc5c89c8d2b355416e87",
"classCEGUI_1_1RegexMatcher.html#a359820a59e861b8ace30f4078823b24aa96a4bab526d74bb310da72595ae20b2a",
"classCEGUI_1_1RenderedStringTextComponent.html#a909848c11398530d8afbf52f4925d002",
"classCEGUI_1_1ResourceProvider.html",
"classCEGUI_1_1ScrollablePane.html#a79dab03ab606e73eeef98b54c0e65f68",
"classCEGUI_1_1ScrolledItemListBase.html#a757c02aa5c0823e245d3452f97338e89",
"classCEGUI_1_1Spinner.html#a0d980ab84220c4f8f185e8bca76117cf",
"classCEGUI_1_1String.html#a4fb1b1bc73fc26dfcd8174564a9f3de0",
"classCEGUI_1_1String_1_1const__iterator.html#aa7e0764b004834896af28fcb956aaf5e",
"classCEGUI_1_1SystemKeys.html#a694366933ec945af199121e6ebd7ef34a75e1da0521c84c2ba77ce69680fee20e",
"classCEGUI_1_1TextComponent.html#aa75a66f03061d6573f7810c36c23260c",
"classCEGUI_1_1Tooltip.html#a135f826859eaf2fe87836a41621aeefe",
"classCEGUI_1_1Tree.html#a56edd517313e62902293f975ca6cc01f",
"classCEGUI_1_1TypedProperty.html#a8409f108653209705713f54fe0dc77a3",
"classCEGUI_1_1WidgetComponent.html#acd71e81cd6139c3f5af726683b730c02",
"classCEGUI_1_1WidgetLookManager.html#a4ccf5f3412cf86d26055d25d098f484e",
"classCEGUI_1_1Window.html#a4bf868abc8bb943195c4831e7680a0e9",
"classCEGUI_1_1Window.html#aa1c97d149c1d4d7325e1c7f76b1e663e",
"classCEGUI_1_1WindowFactory.html#a0f6fd5ad1416786a18e46555a3da9ff6",
"classCEGUI_1_1XMLAttributes.html#aae418f64715263ad04516a87202beee0",
"classCEGuiDemoFrameListener.html#abec044920fafe08e574287bb3790012d",
"classGameMenuDemo.html#a0d7b467e69c7a327c59c5276ff00718c",
"classPythonEventSubscription.html#aa1196a556366121ff23ef0d2bcc61830",
"classWidgetDemo.html#a91a8589aa47e4da667e27c5bef90d1f2",
"classboost_1_1python_1_1indexing_1_1iterator__range.html#af5f1e665a80bea7afe75b29528f8fde0",
"debian_2tmp_2usr_2include_2cegui-0_88_87_2CEGUI_2RenderEffect_8h_source.html",
"fal_baseclass_ref.html#fal_baseclass_ref_sec_23",
"fal_enum_ref.html#fal_enum_ref_sec_9",
"registry__utils_8hpp_source.html",
"structButtonBase__wrapper.html#a8d35e2922c26960dec7d404cb865075c",
"structCEGUI_1_1Key.html#ad1aef89c42b5c3cb297e8c5353c1ca5ba0a2886be5322c2ad5ff8f792d2ad20bd",
"structCEGUI_1_1Key.html#ad1aef89c42b5c3cb297e8c5353c1ca5ba630c117ecd2596534ee924aa182762e6",
"structCEGUI_1_1Key.html#ad1aef89c42b5c3cb297e8c5353c1ca5bae59b53ca2eae24048acf2bea8009f599",
"structCEGUI_1_1TplProperty_1_1GetterFunctor_1_1EnsurePlain.html#a661401b9b9a857fdfba79c97ef9a4b7b",
"structComboDropList__wrapper.html#ad4659954c2a7d5983c088c3a8f9eeed1",
"structCombobox__wrapper.html#ab9cb106e3c5e1f6da9c16f13b7ff6714",
"structConstVectorIterator__less____std__scope__vector__less____CEGUI__scope__FrameComponent____greater______greater____wrapper.html#adc5b204dfa1d189be2d67d3398aa2b05",
"structDefaultWindow__wrapper.html#ae10869a3b34b7efddbd765d8a7d45629",
"structDragContainer__wrapper.html#ae0cef824ad884775e40e4c87d5a25b72",
"structEditbox__wrapper.html#adbbb2bd5d56cbed4af029a40125ca527",
"structFalagardPropertyBase__less____CEGUI__scope__HorizontalFormatting____greater____wrapper.html#abd1251f4c8efd8d3dddab7df5b4c822a",
"structFalagardPropertyBase__less____CEGUI__scope__UDim____greater____wrapper.html#a31bfe70438dfd3f6caef7560af5fb5fc",
"structFalagardPropertyBase__less____unsigned__int____greater____wrapper.html#ae1e6f789edb40406c1951841364bd9d9",
"structFrameWindow__wrapper.html#ab89e37ad8c9aa2052ddde42bb512dc68",
"structGridLayoutContainer__wrapper.html#a2e67f34c4c8ae52223bde3441a001b04",
"structGroupBox__wrapper.html#a297bf49a3a84c674a54b3f89261c3a84",
"structHorizontalLayoutContainer__wrapper.html#a385177d5a24c2768877b480cd689ab7c",
"structImageryComponent__wrapper.html#a10e1ea5b571e432f335ba77a25c93467",
"structItemListBase__wrapper.html#a02fcea3d31136e676f05647a380a29ba",
"structItemListbox__wrapper.html#a07261d023ba8a2107cb5e673deb2fe7d",
"structItemListbox__wrapper.html#afc6480d0bc5449b1562e3f8a00779dac",
"structLayoutSetupFixture.html#ae57c7c20763e2e7c4afbb3d711d35bf4",
"structListHeaderSegment__wrapper.html#af5f24f9b330b17fc40158f1e3363656a",
"structListHeader__wrapper.html#af271d85b68198247b36142e313f61ab1",
"structListbox__wrapper.html#acc1d0068446eb653df376c5e6914657c",
"structMenuBase__wrapper.html#ad479b9c21356b5baa2eb57d3be750d53",
"structMenuItem__wrapper.html#ae2da739b9d4010577fb229d7ef6dab1c",
"structMenubar__wrapper.html#adf972dadc7cebc019bb4f993d320bb55",
"structMultiColumnList__wrapper.html#ac2304d5720d296fae2866c5112f453e0",
"structMultiLineEditbox__wrapper.html#aba6c116bb69fcebd709c7d3fa6f520ca",
"structOpenGL3Renderer__wrapper.html",
"structPopupMenu__wrapper.html#a382ebca6a2d76dcb5500c6c9c5c4bd89",
"structProgressBar__wrapper.html#a3a908fec1dbd031c03c8be2a92b163e3",
"structPropertyDefinition__less____CEGUI__scope__Colour____greater____wrapper.html#a8ab7467a95eafd6cf50061309e64bf00",
"structPropertyDefinition__less____CEGUI__scope__Size__less____float____greater______greater____wrapper.html#a13cba70b5c2f5247dff7db5ad2e700e0",
"structPropertyDefinition__less____CEGUI__scope__VerticalFormatting____greater____wrapper.html#a77b4ee29bf862d5ef4a6a30cf829e796",
"structPropertyLinkDefinition__less____CEGUI__scope__Colour____greater____wrapper.html#a4840319b977d399719cb9269422c6411",
"structPropertyLinkDefinition__less____CEGUI__scope__Rect__less____float____greater______greater____wrapper.html#a2af17d0792f01d08795dafd41da984b6",
"structPropertyLinkDefinition__less____CEGUI__scope__Vector2__less____float____greater______greater____wrapper.html#a49ab6c59d39748c9aa6f4a47c4a50ad4",
"structProperty__wrapper.html#a3c7b63dc6f2fb1fc9999b7be05377419",
"structRadioButton__wrapper.html#a0422afde2f5e66d0aa38226656e1f238",
"structRenderTarget__wrapper.html",
"structScrollablePane__wrapper.html#a1a78487e66fc7aeaad6929fa1b30624a",
"structScrollbar__wrapper.html#a1c2b0883c60317ff3542723abb92488a",
"structScrolledContainer__wrapper.html#a2372699247405e2d84dae4b1517f708a",
"structScrolledItemListBase__wrapper.html#a265aadbb0d2702fe823072393bafc29b",
"structSequentialLayoutContainer__wrapper.html#a325ba171c41c9ca609b16ba9f720643a",
"structSlider__wrapper.html#a253c2f9a4e54de4cc8289c104cb87991",
"structSpinner__wrapper.html#a38cdd77a04ed902ad9fd90288964ec83",
"structTabButton__wrapper.html#a1d8c21ba4aa35ee0f0b660aefda7d9f1",
"structTabControl__wrapper.html#a38b1d0b645784015e7b92a9d24ef60ef",
"structThumb__wrapper.html#a0a56604d78634968ef68d10e7753acce",
"structTitlebar__wrapper.html#a0fb168e9d9b2a7325d5ebd8a142f487b",
"structToggleButton__wrapper.html#a365dd8d9471663929e5761bb6a41bd61",
"structTooltip__wrapper.html#a329a0a8977e46dc10a6c4acfe598274d",
"structTree__wrapper.html#a27a3194e95c9e43d3c4552a567c0c342",
"structTypedProperty__less____CEGUI__scope__Colour____greater____wrapper.html#a046ae2267eabc9e7f22e24733856b180",
"structTypedProperty__less____CEGUI__scope__UBox____greater____wrapper.html#a8875e3dbd5e66efc29d910c1cfd1e742",
"structVerticalLayoutContainer__wrapper.html#a0c9bdbafa27441626cb5dbaf470f77a4",
"structWidgetDim__wrapper.html#ad5e7956340c1a7aee1c82d4e0681f8b0",
"structWindow__wrapper.html#ada894df1379dcf50231391294eb4f9bf",
"structboost_1_1python_1_1indexing_1_1value__traits_3_01CEGUI_1_1UDim_01_4.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';